aagc.vo

## Class PrescrizioneFarmaceuticaErogataRequest

- java.lang.Object
- - aagc.vo.PrescrizioneFarmaceuticaErogataRequest

-     public class PrescrizioneFarmaceuticaErogataRequest
      extends java.lang.Object

  Classe Java per prescrizioneFarmaceuticaErogataRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="prescrizioneFarmaceuticaErogataRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceRicetta" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="15"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codIup">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="13"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codFarmacia" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="4"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codPrescrittore" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagSuggerita">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataEmissione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataErogazione">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dirittoNotturno">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codEsenzione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="5"/>
                     <pattern value="[a-zA-Z0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="flagInformatica">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="(0|1)?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="impTicket" type="{http://www.w3.org/2001/XMLSchema}double"/>
               <element name="impGalenico" type="{http://www.w3.org/2001/XMLSchema}double"/>
               <element name="assistito" type="{http://www.nsisr.puglia.it/Schemas/}assistibileRegistraPrescrizioniFarmaceuticheErogate"/>
               <element name="farmaciPrescritti">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="farmaco" type="{http://www.nsisr.puglia.it/Schemas/}farmacoPrescrittoRegistraPrescrizioniFarmaceuticheErogate" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="farmaciErogati">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="farmaco" type="{http://www.nsisr.puglia.it/Schemas/}farmacoErogatoRegistraPrescrizioniFarmaceuticheErogate" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati` Classe Java per anonymous complex type.
    `static class` | `PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssistibileRegistraPrescrizioniFarmaceuticheErogate` | `assistito`
    `protected java.lang.String` | `codEsenzione`
    `protected java.lang.String` | `codFarmacia`
    `protected java.lang.String` | `codiceRicetta`
    `protected java.lang.String` | `codIup`
    `protected java.lang.String` | `codPrescrittore`
    `protected java.lang.String` | `dataEmissione`
    `protected java.lang.String` | `dataErogazione`
    `protected int` | `dirittoNotturno`
    `protected PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati` | `farmaciErogati`
    `protected PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti` | `farmaciPrescritti`
    `protected int` | `flagInformatica`
    `protected int` | `flagSuggerita`
    `protected double` | `impGalenico`
    `protected double` | `impTicket`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneFarmaceuticaErogataRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssistibileRegistraPrescrizioniFarmaceuticheErogate` | `getAssistito()` Recupera il valore della proprietà assistito.
    `java.lang.String` | `getCodEsenzione()` Recupera il valore della proprietà codEsenzione.
    `java.lang.String` | `getCodFarmacia()` Recupera il valore della proprietà codFarmacia.
    `java.lang.String` | `getCodiceRicetta()` Recupera il valore della proprietà codiceRicetta.
    `java.lang.String` | `getCodIup()` Recupera il valore della proprietà codIup.
    `java.lang.String` | `getCodPrescrittore()` Recupera il valore della proprietà codPrescrittore.
    `java.lang.String` | `getDataEmissione()` Recupera il valore della proprietà dataEmissione.
    `java.lang.String` | `getDataErogazione()` Recupera il valore della proprietà dataErogazione.
    `int` | `getDirittoNotturno()` Recupera il valore della proprietà dirittoNotturno.
    `PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati` | `getFarmaciErogati()` Recupera il valore della proprietà farmaciErogati.
    `PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti` | `getFarmaciPrescritti()` Recupera il valore della proprietà farmaciPrescritti.
    `int` | `getFlagInformatica()` Recupera il valore della proprietà flagInformatica.
    `int` | `getFlagSuggerita()` Recupera il valore della proprietà flagSuggerita.
    `double` | `getImpGalenico()` Recupera il valore della proprietà impGalenico.
    `double` | `getImpTicket()` Recupera il valore della proprietà impTicket.
    `void` | `setAssistito(AssistibileRegistraPrescrizioniFarmaceuticheErogate value)` Imposta il valore della proprietà assistito.
    `void` | `setCodEsenzione(java.lang.String value)` Imposta il valore della proprietà codEsenzione.
    `void` | `setCodFarmacia(java.lang.String value)` Imposta il valore della proprietà codFarmacia.
    `void` | `setCodiceRicetta(java.lang.String value)` Imposta il valore della proprietà codiceRicetta.
    `void` | `setCodIup(java.lang.String value)` Imposta il valore della proprietà codIup.
    `void` | `setCodPrescrittore(java.lang.String value)` Imposta il valore della proprietà codPrescrittore.
    `void` | `setDataEmissione(java.lang.String value)` Imposta il valore della proprietà dataEmissione.
    `void` | `setDataErogazione(java.lang.String value)` Imposta il valore della proprietà dataErogazione.
    `void` | `setDirittoNotturno(int value)` Imposta il valore della proprietà dirittoNotturno.
    `void` | `setFarmaciErogati(PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati value)` Imposta il valore della proprietà farmaciErogati.
    `void` | `setFarmaciPrescritti(PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti value)` Imposta il valore della proprietà farmaciPrescritti.
    `void` | `setFlagInformatica(int value)` Imposta il valore della proprietà flagInformatica.
    `void` | `setFlagSuggerita(int value)` Imposta il valore della proprietà flagSuggerita.
    `void` | `setImpGalenico(double value)` Imposta il valore della proprietà impGalenico.
    `void` | `setImpTicket(double value)` Imposta il valore della proprietà impTicket.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceRicetta

          protected java.lang.String codiceRicetta

    - #### codIup

          protected java.lang.String codIup

    - #### codFarmacia

          protected java.lang.String codFarmacia

    - #### codPrescrittore

          protected java.lang.String codPrescrittore

    - #### flagSuggerita

          protected int flagSuggerita

    - #### dataEmissione

          protected java.lang.String dataEmissione

    - #### dataErogazione

          protected java.lang.String dataErogazione

    - #### dirittoNotturno

          protected int dirittoNotturno

    - #### codEsenzione

          protected java.lang.String codEsenzione

    - #### flagInformatica

          protected int flagInformatica

    - #### impTicket

          protected double impTicket

    - #### impGalenico

          protected double impGalenico

    - #### assistito

          protected AssistibileRegistraPrescrizioniFarmaceuticheErogate assistito

    - #### farmaciPrescritti

          protected PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti farmaciPrescritti

    - #### farmaciErogati

          protected PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati farmaciErogati

  - ### Constructor Detail

    - #### PrescrizioneFarmaceuticaErogataRequest

          public PrescrizioneFarmaceuticaErogataRequest()

  - ### Method Detail

    - #### getCodiceRicetta

          public java.lang.String getCodiceRicetta()

      Recupera il valore della proprietà codiceRicetta.
      Returns:
        possible object is `String`

    - #### setCodiceRicetta

          public void setCodiceRicetta(java.lang.String value)

      Imposta il valore della proprietà codiceRicetta.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodIup

          public java.lang.String getCodIup()

      Recupera il valore della proprietà codIup.
      Returns:
        possible object is `String`

    - #### setCodIup

          public void setCodIup(java.lang.String value)

      Imposta il valore della proprietà codIup.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodFarmacia

          public java.lang.String getCodFarmacia()

      Recupera il valore della proprietà codFarmacia.
      Returns:
        possible object is `String`

    - #### setCodFarmacia

          public void setCodFarmacia(java.lang.String value)

      Imposta il valore della proprietà codFarmacia.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodPrescrittore

          public java.lang.String getCodPrescrittore()

      Recupera il valore della proprietà codPrescrittore.
      Returns:
        possible object is `String`

    - #### setCodPrescrittore

          public void setCodPrescrittore(java.lang.String value)

      Imposta il valore della proprietà codPrescrittore.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagSuggerita

          public int getFlagSuggerita()

      Recupera il valore della proprietà flagSuggerita.

    - #### setFlagSuggerita

          public void setFlagSuggerita(int value)

      Imposta il valore della proprietà flagSuggerita.

    - #### getDataEmissione

          public java.lang.String getDataEmissione()

      Recupera il valore della proprietà dataEmissione.
      Returns:
        possible object is `String`

    - #### setDataEmissione

          public void setDataEmissione(java.lang.String value)

      Imposta il valore della proprietà dataEmissione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataErogazione

          public java.lang.String getDataErogazione()

      Recupera il valore della proprietà dataErogazione.
      Returns:
        possible object is `String`

    - #### setDataErogazione

          public void setDataErogazione(java.lang.String value)

      Imposta il valore della proprietà dataErogazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDirittoNotturno

          public int getDirittoNotturno()

      Recupera il valore della proprietà dirittoNotturno.

    - #### setDirittoNotturno

          public void setDirittoNotturno(int value)

      Imposta il valore della proprietà dirittoNotturno.

    - #### getCodEsenzione

          public java.lang.String getCodEsenzione()

      Recupera il valore della proprietà codEsenzione.
      Returns:
        possible object is `String`

    - #### setCodEsenzione

          public void setCodEsenzione(java.lang.String value)

      Imposta il valore della proprietà codEsenzione.
      Parameters:
        `value` - allowed object is `String`

    - #### getFlagInformatica

          public int getFlagInformatica()

      Recupera il valore della proprietà flagInformatica.

    - #### setFlagInformatica

          public void setFlagInformatica(int value)

      Imposta il valore della proprietà flagInformatica.

    - #### getImpTicket

          public double getImpTicket()

      Recupera il valore della proprietà impTicket.

    - #### setImpTicket

          public void setImpTicket(double value)

      Imposta il valore della proprietà impTicket.

    - #### getImpGalenico

          public double getImpGalenico()

      Recupera il valore della proprietà impGalenico.

    - #### setImpGalenico

          public void setImpGalenico(double value)

      Imposta il valore della proprietà impGalenico.

    - #### getAssistito

          public AssistibileRegistraPrescrizioniFarmaceuticheErogate getAssistito()

      Recupera il valore della proprietà assistito.
      Returns:
        possible object is `AssistibileRegistraPrescrizioniFarmaceuticheErogate`

    - #### setAssistito

          public void setAssistito(AssistibileRegistraPrescrizioniFarmaceuticheErogate value)

      Imposta il valore della proprietà assistito.
      Parameters:
        `value` - allowed object is `AssistibileRegistraPrescrizioniFarmaceuticheErogate`

    - #### getFarmaciPrescritti

          public PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti getFarmaciPrescritti()

      Recupera il valore della proprietà farmaciPrescritti.
      Returns:
        possible object is `PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti`

    - #### setFarmaciPrescritti

          public void setFarmaciPrescritti(PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti value)

      Imposta il valore della proprietà farmaciPrescritti.
      Parameters:
        `value` - allowed object is `PrescrizioneFarmaceuticaErogataRequest.FarmaciPrescritti`

    - #### getFarmaciErogati

          public PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati getFarmaciErogati()

      Recupera il valore della proprietà farmaciErogati.
      Returns:
        possible object is `PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati`

    - #### setFarmaciErogati

          public void setFarmaciErogati(PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati value)

      Imposta il valore della proprietà farmaciErogati.
      Parameters:
        `value` - allowed object is `PrescrizioneFarmaceuticaErogataRequest.FarmaciErogati`